Subject: Re: [ANNOUNCE] Git v2.50.0-rc1 - Test Failed

From: 'Todd Zullinger' <[email-masked]>
Date: Thu, 5 Jun 2025 19:38:06 -0400

Junio C Hamano wrote:
> <[email-masked]> writes:
> 
>> Can I pass this in via command line? Instead of modifying config.mak?
> 
>     make NO_TCLTK=NoThanks
> 
> just like you are passing V=1 on the command line of "make" in your
> earlier message.  That would not build or install gitk and git-gui.
> 
> By the way, I do not think writing into config.mak qualifies as
> "modifying", as we do not ship one ourselves.

Indeed, I always considered that the ideal way to set
options.

Another benefit, from the perspective of package builder, is
that you then use the same options for all the invocations
of make.  This avoids things being needlessly rebuilt if you
happen to set them in build and install sections of your
packaging recipes and then let them get out of sync.

In the Fedora builds, we did it like so¹:

# Use these same options for every invocation of 'make'.
# Otherwise it will rebuild in %%install due to flags
# changes.
# Pipe to tee to aid confirmation/verification of settings.
cat << \EOF | tee config.mak
V = 1
CFLAGS = %{build_cflags}
LDFLAGS = %{build_ldflags}
...
EOF

['%{build_*flags}' are rpm macros, not something to be used
 literally, just in case anyone wonders.]

¹ https://src.fedoraproject.org/rpms/git/blob/ee7f0d4/f/git.spec#_545-582

-- 
Todd